SystemOrganization addCategory: #MOOCContactBook!
SystemOrganization addCategory: 'MOOCContactBook-Tests'!

TestCase subclass: #MOOCContactTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'MOOCContactBook-Tests'!

!MOOCContactTest commentStamp: 'RichardMyatt 7/25/2017 15:34' prior: 0!
A class to hold the tests for our contact application.  Taken from the Pharo MOOC.!

!MOOCContactTest methodsFor: 'tests' stamp: 'RichardMyatt 7/25/2017 17:05'!
testCreation
	"test the creation of a contact"

	| contact |
	contact := MOOCContact newNamed: 'Marcus Denker' email: 'marcus.denker@intia.fr'.
	self assert: contact fullname = 'Marcus Denker'.
	self assert: contact email = 'marcus.denker@intia.fr'.! !

Object subclass: #MOOCContact
	instanceVariableNames: 'fullname email'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'MOOCContactBook'!

!MOOCContact commentStamp: 'RichardMyatt 7/25/2017 15:25' prior: 0!
An example taken from the Pharo MOOC.!

!MOOCContact class methodsFor: 'instance creation' stamp: 'RichardMyatt 7/25/2017 18:41'!
newNamed: aNameString email: anEmailString
	"Create a new contact instance with a name and email"

	^ self new 
			fullname: aNameString;
			email: anEmailString;
			yourself! !

!MOOCContact methodsFor: 'accessing' stamp: 'RichardMyatt 7/25/2017 16:55'!
email
	"answer the email address of the contact"
	
	^ email! !

!MOOCContact methodsFor: 'accessing' stamp: 'RichardMyatt 7/25/2017 16:56'!
email: aString
	"set the email address of the contact"
	
	email := aString! !

!MOOCContact methodsFor: 'accessing' stamp: 'RichardMyatt 7/25/2017 16:53'!
fullname
	"answer the full name of the contact"
	
	^ fullname! !

!MOOCContact methodsFor: 'accessing' stamp: 'RichardMyatt 7/25/2017 16:55'!
fullname: aString
	"set the full name of the contact"
	
	fullname := aString ! !
